### Method

# Soup Message set_first_party

#### Declaration [src]

    void
    soup_message_set_first_party (
      SoupMessage* msg,
      GUri* first_party
    )

#### Description [src]

Sets `first_party` as the main document `GUri` for `msg`.

For details of when and how this is used refer to the documentation for `SoupCookieJarAcceptPolicy`.

Sets property | `Soup.Message:first-party`

#### Parameters

`first_party`

  Type: `GUri`

  The `GUri` for the `msg`‘s first party.

  The data is owned by the caller of the function.